gnutls_pkcs12_import(3)

NAME
gnutls_pkcs12_import - API function

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_import(gnutls_pkcs12_t pkcs12, const gnutls_datum_t * data, gnutls_x509_crt_fmt_t format, unsigned int flags);

ARGUMENTS

gnutls_pkcs12_t pkcs12
    The data to store the parsed PKCS12.

const gnutls_datum_t * data
    The DER or PEM encoded PKCS12.

gnutls_x509_crt_fmt_t format
    One of DER or PEM

unsigned int flags
    an ORed sequence of gnutls_privkey_pkcs8_flags

DESCRIPTION
This function will convert the given DER or PEM encoded PKCS12 to the native gnutls_pkcs12_t format. The output will be stored in 'pkcs12'.

If the PKCS12 is PEM encoded it should have a header of "PKCS12".

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/